Create Service Request History: Yardi
POST
https://api.propexo.com/v1/service-request-history/yardi/| Interface | Method |
|---|---|
| Service Requests | CreateOrEditServiceRequests |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
service_request_idstringrequired
The Propexo unique identifier for the service request
status_rawstringrequired
The raw status associated with the service request history
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedResponse
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
service_request_idstringrequired
The Propexo unique identifier for the service request
status_rawstringrequired
The raw status associated with the service request history
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-request-history/yardi/
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/service-request-history/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"service_request_id": "string",
"status_raw": "Assessment"
}'
const response = await fetch("https://api.propexo.com/v1/service-request-history/yardi/", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"integration_id": "string",
"service_request_id": "string",
"status_raw": "Assessment"
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/service-request-history/yardi/",
headers={"Authorization": "Bearer <token>"},
json={
"integration_id": "string",
"service_request_id": "string",
"status_raw": "Assessment"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"status_raw": "Assessment"
}
}